Release service.subtitles.legendastv
#1
This is a thread for any issues/bugs and improvements for service.subtitles.legendastv.

The Legendas.TV addon is available in the KODI addon repository for Gothan and later.
Reply
#2
Hi, @andrebrait
First of all, thank you for making this add-on live again!
The add-on are working for download single subtitles, but if I choose the option pack it crash. Interesting fact, it download and extrac all subtitles from the pack in the temp folder, the problem is it can't move this subtitles to the video folder.
Here the logs: https://pastebin.com/A8TZDt4f
Hope you can fix this, is a really good option.
P.S. The link of the repo: https://github.com/andrebrait/service.su...legendastv (you forget to put  Big Grin )
Supercalifragilisticexpialidocious! (inscribed in large friendly letters)
My hardware is a Raspberry Pi 3b (with LibreELEC)
Reply
#3
(2021-01-30, 23:46)edjalmo Wrote: Hi, @andrebrait
First of all, thank you for making this add-on live again!
The add-on are working for download single subtitles, but if I choose the option pack it crash. Interesting fact, it download and extrac all subtitles from the pack in the temp folder, the problem is it can't move this subtitles to the video folder.
Here the logs: https://pastebin.com/A8TZDt4f
Hope you can fix this, is a really good option.
P.S. The link of the repo: https://github.com/andrebrait/service.su...legendastv (you forget to put  Big Grin )

Sure thing :-) and thanks for adding the link. Yeah, I totally forgot about it :-(

I checked the logs. There doesn't seem to be anything wrong with it. File copying is hanlded by a call to a Kodi-provided function through their APIs, so my guess is that there's something iffy going on here. I don't have a Mac to test it out. It works fine for me on Linux Undecided

I'm giving the whole codebase some love and I'll let you know when I have something for you to test.
Reply
#4
(2021-01-31, 00:57)andrebrait Wrote:
(2021-01-30, 23:46)edjalmo Wrote: Hi, @andrebrait
First of all, thank you for making this add-on live again!
The add-on are working for download single subtitles, but if I choose the option pack it crash. Interesting fact, it download and extrac all subtitles from the pack in the temp folder, the problem is it can't move this subtitles to the video folder.
Here the logs: https://pastebin.com/A8TZDt4f
Hope you can fix this, is a really good option.
P.S. The link of the repo: https://github.com/andrebrait/service.su...legendastv (you forget to put  Big Grin )

Sure thing :-) and thanks for adding the link. Yeah, I totally forgot about it :-(

I checked the logs. There doesn't seem to be anything wrong with it. File copying is hanlded by a call to a Kodi-provided function through their APIs, so my guess is that there's something iffy going on here. I don't have a Mac to test it out. It works fine for me on Linux Undecided

I'm giving the whole codebase some love and I'll let you know when I have something for you to test.

My mistake. The final file copy is handled some other way, I think. I'll look into it.
Reply
#5
(2021-01-31, 00:59)andrebrait Wrote: My mistake. The final file copy is handled some other way, I think. I'll look into it.

Thanks!
Yeah, happens on Linux too. My main device is a Raspberry Pi with LibreELEC (which is Linux), I just post the logs from Mac because was more easy for me at that time (sorry 😅).
Supercalifragilisticexpialidocious! (inscribed in large friendly letters)
My hardware is a Raspberry Pi 3b (with LibreELEC)
Reply
#6
(2021-01-31, 04:04)edjalmo Wrote:
(2021-01-31, 00:59)andrebrait Wrote: My mistake. The final file copy is handled some other way, I think. I'll look into it.

Thanks!
Yeah, happens on Linux too. My main device is a Raspberry Pi with LibreELEC (which is Linux), I just post the logs from Mac because was more easy for me at that time (sorry 😅).

Are you able to pull the latest code from the repository and try it again?
Reply
#7
(2021-02-05, 21:14)andrebrait Wrote:
(2021-01-31, 04:04)edjalmo Wrote:
(2021-01-31, 00:59)andrebrait Wrote: My mistake. The final file copy is handled some other way, I think. I'll look into it.

Thanks!
Yeah, happens on Linux too. My main device is a Raspberry Pi with LibreELEC (which is Linux), I just post the logs from Mac because was more easy for me at that time (sorry 😅).

Are you able to pull the latest code from the repository and try it again?
Yes! But unfortunately still the same.
Check the logs: https://pastebin.com/CXMP1suc
Supercalifragilisticexpialidocious! (inscribed in large friendly letters)
My hardware is a Raspberry Pi 3b (with LibreELEC)
Reply
#8
Hi! It's real nice to see that someone is working on this addon. I'm having trouble installing it, when I try cloning your repository it says that the vfs.libarchive dependency could not be met. My kodi is in portuguese, here's what it puts in the log:
2021-02-14 09:29:56.963 T:139922195941120   ERROR: CAddonInstallJob[service.subtitles.legendastv]: A dependência na vfs.libarchive versão 1.0.5 não pôde ser satisfeita.
. OS is ubuntu 20.04, how can I solve this issue? I'm sorry if it's something silly, I just don't have that much experience with kodi and linux in general.
Reply
#9
(2021-02-14, 14:37)capewrath Wrote: Hi! It's real nice to see that someone is working on this addon. I'm having trouble installing it, when I try cloning your repository it says that the vfs.libarchive dependency could not be met. My kodi is in portuguese, here's what it puts in the log:
2021-02-14 09:29:56.963 T:139922195941120   ERROR: CAddonInstallJob[service.subtitles.legendastv]: A dependência na vfs.libarchive versão 1.0.5 não pôde ser satisfeita.
. OS is ubuntu 20.04, how can I solve this issue? I'm sorry if it's something silly, I just don't have that much experience with kodi and linux in general.

Hi!
When you said "when I try cloning you repository" what you mean?
You just need to go to Github page (https://github.com/andrebrait/service.su...legendastv) and then click on the "Code" button > "Download ZIP" to download. Or you already doing this?
Supercalifragilisticexpialidocious! (inscribed in large friendly letters)
My hardware is a Raspberry Pi 3b (with LibreELEC)
Reply
#10
(2021-02-14, 14:37)capewrath Wrote: Hi! It's real nice to see that someone is working on this addon. I'm having trouble installing it, when I try cloning your repository it says that the vfs.libarchive dependency could not be met. My kodi is in portuguese, here's what it puts in the log:
2021-02-14 09:29:56.963 T:139922195941120   ERROR: CAddonInstallJob[service.subtitles.legendastv]: A dependência na vfs.libarchive versão 1.0.5 não pôde ser satisfeita.
. OS is ubuntu 20.04, how can I solve this issue? I'm sorry if it's something silly, I just don't have that much experience with kodi and linux in general.

Ok, so, I'm also facing this issue on Ubuntu 20.04. It seems kodi-vfs-libarchive is not available on it. I'll see what I can do.

EDIT: fixed package's name
Reply
#11
(2021-02-14, 15:05)edjalmo Wrote: Hi!
When you said "when I try cloning you repository" what you mean?
You just need to go to Github page (https://github.com/andrebrait/service.su...legendastv) and then click on the "Code" button > "Download ZIP" to download. Or you already doing this?
Yeah that's what I did. Sorry for the poor wording.
(2021-02-14, 16:33)andrebrait Wrote: Ok, so, I'm also facing this issue on Ubuntu 20.04. It seems libarchive is not available on it. I'll see what I can do.
Thanks. I did try installing libarchive-dev via apt but it didn't help:
libarchive-dev is already the newest version (3.4.0-2ubuntu1).
Is it talking about a different package?
Reply
#12
(2021-02-14, 17:25)capewrath Wrote:
(2021-02-14, 16:33)andrebrait Wrote: Ok, so, I'm also facing this issue on Ubuntu 20.04. It seems libarchive is not available on it. I'll see what I can do.
Thanks. I did try installing libarchive-dev via apt but it didn't help:
libarchive-dev is already the newest version (3.4.0-2ubuntu1).
Is it talking about a different package?

That package is the libarchive library for Ubuntu (the -dev suffix tells you that this one is the package that contains the files for developing applications that use libarchive, such as header files, etc.)

The package should be kodi-vfs-libarchive, which is the Kodi plugin that enables browsing archives using VFS through libarchive. That package is not available on Ubuntu 20.04, for some reason. It's also not on the PPA. I'm gonna check why that is. Maybe I'll have to revert to vfs.rar instead of vfs.libarchive.

On Matrix vfs.libarchive won't have rar support anyway, so I might end up having to do this anyway. Will keep this updated when I do.

You can try replacing the dependency yourself on the addons.xml file and testing if that works for you. Just replace vfs.libarchive with vfs.rar and put a relatively new version of vfs.rar for the Kodi version you have (or what's on your package manager, which you can get with $apt search kodi-vfs-rar). I can't work on this today, unfortunately.
Reply
#13
Sorry, but i cant install on matrix (testing build RPI4 Libreelec).
Give me error on dependency xbmc.python..

Any problem to supress from addon.xml?
Reply
#14
(2021-02-18, 06:03)tiagogb Wrote: Sorry, but i cant install on matrix (testing build RPI4 Libreelec).
Give me error on dependency xbmc.python..

Any problem to supress from addon.xml?

You can try, but the addon should not be compatible with Matrix because it's Python 2 only, and Matrix uses Python 3, so even if you change the addon.xml file, the extension should not work correctly.
Reply
#15
(2021-02-14, 17:25)capewrath Wrote:
(2021-02-14, 15:05)edjalmo Wrote: Hi!
When you said "when I try cloning you repository" what you mean?
You just need to go to Github page (https://github.com/andrebrait/service.su...legendastv) and then click on the "Code" button > "Download ZIP" to download. Or you already doing this?
Yeah that's what I did. Sorry for the poor wording.
(2021-02-14, 16:33)andrebrait Wrote: Ok, so, I'm also facing this issue on Ubuntu 20.04. It seems libarchive is not available on it. I'll see what I can do.
Thanks. I did try installing libarchive-dev via apt but it didn't help:
libarchive-dev is already the newest version (3.4.0-2ubuntu1).
Is it talking about a different package?

You can try again. I have removed the hard dependency on vfs.libarchive.
Reply



Logout Mark Read Team Forum Stats Members Help
service.subtitles.legendastv0
This forum uses Lukasz Tkacz MyBB addons.